/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* host-grotesk-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Host Grotesk';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/host-grotesk-v5-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* host-grotesk-300italic - latin */
@font-face {
  font-family: 'Host Grotesk';
  font-style: italic;
  font-weight: 300;
  src: url('fonts/host-grotesk-v5-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* host-grotesk-regular - latin */
@font-face {
  font-family: 'Host Grotesk';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/host-grotesk-v5-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* host-grotesk-italic - latin */
@font-face {
  font-family: 'Host Grotesk';
  font-style: italic;
  font-weight: 400;
  src: url('fonts/host-grotesk-v5-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* host-grotesk-700 - latin */
@font-face {
  font-family: 'Host Grotesk';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/host-grotesk-v5-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* host-grotesk-800 - latin */
@font-face {
  font-family: 'Host Grotesk';
  font-style: normal;
  font-weight: 800;
  src: url('fonts/host-grotesk-v5-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* Verbergen buiten openingstijden */
#tijdElement.is-hidden {
  display: none;
}

/* Layout */
#tijdElement {
  display: inline-flex;
  align-items: center;
  flex-direction: row;
  gap: 10px;
}

#tijdElement a, #tijdElement span{
  color: #fff;
  text-decoration: none;
  font-size: 14px;
}

#tijdElement .beam{
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: #22c55e;
  display: inline-block;
  box-shadow: 0 0 0 0 rgba(34,197,94,.55);
  transform: translateZ(0); /* voorkomt soms schokkerige animatie */
  animation: nosLivePulse 3s ease-out infinite;
}

@keyframes nosLivePulse {
  0% {
    transform: scale(0.9);
    box-shadow: 0 0 0 0 rgba(34,197,94,.55);
    opacity: 1;
  }
  60% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(34,197,94,0);
    opacity: 1;
  }
  100% {
    transform: scale(0.9);
    box-shadow: 0 0 0 0 rgba(34,197,94,0);
    opacity: 1;
  }
}

/** MOBILE MENU TOGGLE SUBMENU 100% WIDTH **/

span.gb-submenu-toggle:before {
    content: '';
    position: absolute;
    inset: 0;
}

/** STICKY HEADER STYLES **/

header.gb-is-sticky img.sticky-logo{
  display: block;
}

header.gb-is-sticky img.logo{
  display: none;
}

/** FOOTER STYLES **/

.wp-classic-menu-block ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
}


/** TABLE STYLES **/

figure.appartement table{
  border: none;
}

figure.appartement tr, figure.appartement td, figure.appartement thead{
  border: none;
  padding-left: 0;
}

/** BUTTON SHAKE ANIMATIE **/

@keyframes shake {
  0%   { transform: translate(0, 0); }
  50%  { transform: translate(-2px, 2px); }
  100% { transform: translate(2px, -4px); }
}

a.cta-button:hover svg {
  animation: shake 0.5s linear forwards;
}

/** EVENT LIST STYLES **/

.em.pixelbones.em-events-list h2{
  font-size: 35px !important;
  font-weight: 800 !important;
  letter-spacing: 0 !important;
  text-transform: capitalize;
  margin: 0 !important
}

.em.em-list .em-item{
  color: inherit;
}

.em.em-list .em-item .em-item-info h3.em-item-title{
  font-size: 24px !important;
  font-weight: 800 !important;
  letter-spacing: 0 !important;
  margin: 0 !important ;
}

.em.em-list .em-item .em-item-info .em-item-meta{
  display: grid;
  grid-template-columns: 1fr 1fr; 
  margin-bottom: 0px !important; 
}

.em.em-list .em-item .em-item-meta .em-item-meta-line{
  display: flex;
  flex-direction: row;
  gap: 6px;
  font-size: 14px;
}

.em.em-list .event-icon{
  width: 20px;
}

.em.em-list .em-item .em-item-info .em-item-desc{
  margin-top: 0 !important;
  font-size: 18px !important
}

.em.em-list .em-item .em-item-info{
  border: none !important;
}

/** GRAVITY FORMS STYLES **/

.gform_button{
  padding: 1rem 1.5rem !important;
  border-radius: 10px !important;
  font-size: 18px !important;
  transition: all .25s ease-in-out;
  background-color: var(--accent) !important;
  color: #fff !important;
}

.gform_button:hover, .gform_button:focus{
  background-color: var(--global-color-8) !important;
}